Bug 85186 - kwapd using high cpu when machine idle
kwapd using high cpu when machine idle
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-26 07:13 EST by Jeremy Sanders
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2003-02-26 07:13:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030210

Description of problem:
We have an Athlon machine running the latest RedHat 7.3 kernel:

xpc21:~> uname -a
Linux hostname.xxx 2.4.18-24.7.x #1 Fri Jan 31 07:46:03 EST 2003 i686 unknown

On that machine kswapd regularly goes into bursts of several minutes where it's
consuming a large fraction of the CPU:

 11:58am  up 9 days,  1:02,  1 user,  load average: 0.63, 0.42, 0.17
123 processes: 116 sleeping, 7 running, 0 zombie, 0 stopped
CPU states:  4.5% user,  1.7% system,  1.4% nice,  4.3% idle
Mem:  1031172K av, 1017548K used,   13624K free,       0K shrd,   50176K buff
Swap: 4096552K av,  149856K used, 3946696K free                  758028K cached

  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME COMMAND
    5 root      22   0     0    0     0 RW   39.8  0.0   7:33 kswapd
29676 gmorris   15   0  3084 3084  2796 S     1.9  0.2   0:03 mpg123
29875 jss       15   0  1136 1136   876 R     1.9  0.1   0:00 top
10379 gmorris   15   0   840  780   700 S     0.9  0.0  16:08 wmtop

Little I/O is going on at the time. The machine is just playing MP3s and running X.

Using procinfo, the "swaps in" and "swaps out" don't increase even though kswapd
is taking cpu time.

This is the information I can get from the sysreq key:

Feb 26 11:59:53 xpc21 kernel: Mem-info:
Feb 26 11:59:53 xpc21 kernel: Free pages:       12300kB (  1024kB HighMem)
Feb 26 11:59:53 xpc21 kernel: Zone:DMA freepages:  7292kB min:  4224kB low: 
4352kB high:  4480kB
Feb 26 11:59:53 xpc21 kernel: Zone:Normal freepages:  3984kB min:  3064kB low:
16124kB high: 23164kB
Feb 26 11:59:53 xpc21 kernel: Zone:HighMem freepages:  1024kB min:  1020kB low:
 2040kB high:  3060kB
Feb 26 11:59:53 xpc21 kernel: Free pages:       12300kB (  1024kB HighMem)
Feb 26 11:59:53 xpc21 kernel: ( Active: 140089, inactive_dirty: 81893,
inactive_clean: 14916, free: 3075 )
Feb 26 11:59:53 xpc21 kernel: 1*4kB 1*8kB 69*16kB 45*32kB 8*64kB 1*128kB 0*256kB
0*512kB 0*1024kB 2*2048kB = 7292kB)
Feb 26 11:59:53 xpc21 kernel: 230*4kB 1*8kB 9*16kB 1*32kB 1*64kB 0*128kB 1*256kB
1*512kB 0*1024kB 1*2048kB = 3984kB)
Feb 26 11:59:53 xpc21 kernel: 0*4kB 0*8kB 0*16kB 0*32kB 0*64kB 0*128kB 0*256kB
0*512kB 1*1024kB 0*2048kB = 1024kB)
Feb 26 11:59:53 xpc21 kernel: Swap cache: add 177025, delete 160646, find
102740/174511, race 0+0
Feb 26 11:59:53 xpc21 kernel: Free swap:       3946696kB
Feb 26 11:59:53 xpc21 kernel: 262124 pages of RAM
Feb 26 11:59:53 xpc21 kernel: 32748 pages of HIGHMEM
Feb 26 11:59:53 xpc21 kernel: 4371 reserved pages
Feb 26 11:59:53 xpc21 kernel: 217899 pages shared
Feb 26 11:59:53 xpc21 kernel: 16379 pages swap cached
Feb 26 11:59:53 xpc21 kernel: 19 pages in page table cache
Feb 26 11:59:53 xpc21 kernel: Buffer memory:    48628kB
Feb 26 11:59:53 xpc21 kernel: Cache memory:   820380kB

This problem seems to manifest itself when gqmpeg (which uses mpg123) is running.

Feb 26 11:59:36 xpc21 kernel: mpg123        S C3AD8000     0 29676  29639      
              (NOTLB)
Feb 26 11:59:36 xpc21 kernel: Call Trace: [<c011ff44>] schedule_timeout [kernel]
0x14 (0xc3ad9df0))
Feb 26 11:59:36 xpc21 kernel: [<c011c444>] tasklet_hi_action [kernel] 0x44
(0xc3ad9df4))
Feb 26 11:59:36 xpc21 kernel: [<c011c26b>] do_softirq [kernel] 0x4b (0xc3ad9e08))
Feb 26 11:59:36 xpc21 kernel: [<c01cc622>] sock_wait_for_wmem [kernel] 0xb2
(0xc3ad9e1c))
Feb 26 11:59:36 xpc21 kernel: [<c01cc7c7>] sock_alloc_send_pskb [kernel] 0x167
(0xc3ad9e50))
Feb 26 11:59:36 xpc21 kernel: [<c012abc9>] filemap_nopage [kernel] 0xe9
(0xc3ad9e5c))
Feb 26 11:59:36 xpc21 kernel: [<c01cc83b>] sock_alloc_send_skb [kernel] 0x1b
(0xc3ad9e80))
Feb 26 11:59:36 xpc21 kernel: [<c020f4a9>] unix_stream_sendmsg [kernel] 0xf9
(0xc3ad9e98))
Feb 26 11:59:36 xpc21 kernel: [<c01ca13c>] sock_sendmsg [kernel] 0x6c (0xc3ad9ee4))
Feb 26 11:59:36 xpc21 kernel: [<c01ca357>] sock_write [kernel] 0xa7 (0xc3ad9f38))
Feb 26 11:59:36 xpc21 kernel: [<c0139496>] sys_write [kernel] 0x96 (0xc3ad9f7c))
Feb 26 11:59:36 xpc21 kernel: [<c011c26b>] do_softirq [kernel] 0x4b (0xc3ad9f94))
Feb 26 11:59:36 xpc21 kernel: [<c0109f3c>] do_IRQ [kernel] 0xbc (0xc3ad9fac))
Feb 26 11:59:36 xpc21 kernel: [<c010895b>] system_call [kernel] 0x33 (0xc3ad9fc0))


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Load quite a few programs
2. Start gqmpeg
3.
    

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.